// This program is designed for OKI-H5003 board
// It shows how to work with UART and SIO interface

#include <ioml67q5003.h>
#include "uart.h"
#include "sio.h"
#include "system.h"

// simple delay
void Delay (unsigned long a) { while (--a!=0); }

unsigned char ch = 0x0;

int main()
{

  // Freq init
  FreqInit();

  // InitSio
  InitSIO();

  // InitUart
  InitUART();


  // loop forever
  while(1) {

    // echo for UART -> USB
    ch = ReadCharUART0();
    WriteCharUART0(ch);
    WriteCharUART0('*');

  }
}
